*graphical options;
options nodate nonumber ls=64;

*This is the path, where the macros are stored;
%let path_tp=%str(G:\DFG_SurveyMeth\DoubleSampling\sas-twophase-package\macros);

*libname of input data;
libname in "G:\DFG_SurveyMeth\DoubleSampling\sas-twophase-package\data";

*include twophase-Macro;
%include "&path_tp.\twophase.sas";

data carr_ph1;
        set in.carrx1;
        Z=Z+1;
run;

data carr_ph2;
        set in.carrx2;
        Z=Z+1;
run;

%twophase(folder      =&path_tp,
          path_ph1    =carr_ph1,
          path_ph2    =carr_ph2,
          suffix      =carr,
          compare     =0,
          caco        =D,
          svar        =Z,
          counts_ph1  =COUNT,
          weights_ph2 =COUNT,
          regr        =X);

proc print data=pl_bc_estcarr;
run;
