options nodate nonumber ls=78;

*This is the path, where the macros are stored;
%let path_tp=%str(g:\DFG_SurveyMeth\DoubleSampling\sas-twophase-package\macros);

*libname of input data;
libname in "g:\DFG_SurveyMeth\DoubleSampling\sas-twophase-package\data";

*include twophase-Macro;
%include "&path_tp.\twophase.sas";

data hda1;
        set in.hdac_ph1;
run;

data hda2;
        set in.hdac_ph2;
        SMOKE1=(SMOKE=1);
        SMOKE2=(SMOKE=2);
        SMOKE3=(SMOKE=3);
run;

%twophase(folder      =&path_tp,
          path_ph1    =hda1,
          path_ph2    =hda2,
          methods     =pl_bc ml_em s2,
          suffix      =,
          compare     =1,
          outest      =1,
          caco        =case,
          svar        =strata,
          counts_ph1  =count,
          case        =1,
          control     =0,
          weights_ph2 =count,
          regr        =smoke1 smoke2 smoke3 fy,
          s1pr        =0);
